package es.cipfpbatoi.dao;
// Generated 16-abr-2020 12:36:13 by Hibernate Tools 4.3.1

import java.util.HashSet;
import java.util.Set;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.*;

/**
 * Tipo generated by hbm2java
 */
@Entity
public class Tipo implements java.io.Serializable {

    @Id
    @GeneratedValue
    private Integer id;
    private String nombre;
    @OneToMany
    private Set departamentos = new HashSet(0);

    public Tipo() {
    }

    public Tipo(String nombre, Set departamentos) {
        this.nombre = nombre;
        this.departamentos = departamentos;
    }

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getNombre() {
        return this.nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public Set getDepartamentos() {
        return this.departamentos;
    }

    public void setDepartamentos(Set departamentos) {
        this.departamentos = departamentos;
    }

    @Override
    public String toString() {
        return "Tipo{" + "id=" + id + ", nombre=" + nombre + ", departamentos=" + departamentos + '}';
    }

}
